> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Create task mock

POST https://example.itential.io/workflow_engine/mocks/tasks
Content-Type: application/json

Creates a new task mock with the provided details.

Reference: https://docs.itential.com/itential-platform/6/api-reference/workflow-engine/create-mock

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Body (application/json)

This endpoint expects an object.

- `name` (string, required) — The name of the mock task
- `serviceType` (enum, required) — Whether or not the mock is for an adapter or application service
  - Allowed values: `Application`, `Adapter`
- `serviceName` (string, required) — The adapter or application service name that contains the method to mock
- `method` (string, required) — The name of the method that is being mocked
- `finishState` (enum, required) — The finish state of the mock
  - Allowed values: `success`, `failure`, `error`
- `description` (string, optional, default: ) — A description of the mock task
- `delay` (integer, optional, default: 0) — The number of seconds to delay the completion of the mock
- `response` (list of any or boolean or integer or double or map from string to any or string, optional, nullable) — The response for the mock that matches the return value for the task method

## Response

### 200

The newly created task mock object

- `_id` (string, required) — The unique identifier for the mock task
- `name` (string, required) — The name of the mock task
- `description` (string, required) — A description of the mock task
- `serviceType` (enum, required) — Whether or not the mock is for an adapter or application service
  - Allowed values: `Application`, `Adapter`
- `serviceName` (string, required) — The adapter or application service name that contains the method to mock
- `method` (string, required) — The name of the method that is being mocked
- `finishState` (enum, required) — The finish state of the mock
  - Allowed values: `success`, `failure`, `error`
- `delay` (integer, required) — The number of seconds to delay the completion of the mock
- `response` (list of any or boolean or integer or double or map from string to any or string, required, nullable) — The response for the mock that matches the return value for the task method
- `created` (string, required) — The date and time when the mock was created
- `createdBy` (string, required) — The id of user who created the mock task
- `lastUpdated` (string, optional) — The date and time when the mock was last updated
- `lastUpdatedBy` (string, optional) — The id of user who last updated the mock task

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Request**

```json
{
  "name": "string",
  "serviceType": "Application",
  "serviceName": "string",
  "method": "string",
  "finishState": "success"
}
```

**Response**

```json
{
  "_id": "string",
  "name": "string",
  "description": "string",
  "serviceType": "Application",
  "serviceName": "string",
  "method": "string",
  "finishState": "success",
  "delay": 1,
  "response": {},
  "created": "2024-01-15T09:30:00Z",
  "createdBy": "string",
  "lastUpdated": "2024-01-15T09:30:00Z",
  "lastUpdatedBy": "string"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/workflow_engine/mocks/tasks"

payload = {
    "name": "string",
    "serviceType": "Application",
    "serviceName": "string",
    "method": "string",
    "finishState": "success"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/workflow_engine/mocks/tasks';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"name":"string","serviceType":"Application","serviceName":"string","method":"string","finishState":"success"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/workflow_engine/mocks/tasks"

	payload := strings.NewReader("{\n  \"name\": \"string\",\n  \"serviceType\": \"Application\",\n  \"serviceName\": \"string\",\n  \"method\": \"string\",\n  \"finishState\": \"success\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/workflow_engine/mocks/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\",\n  \"serviceType\": \"Application\",\n  \"serviceName\": \"string\",\n  \"method\": \"string\",\n  \"finishState\": \"success\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.itential.io/workflow_engine/mocks/tasks")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\",\n  \"serviceType\": \"Application\",\n  \"serviceName\": \"string\",\n  \"method\": \"string\",\n  \"finishState\": \"success\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.itential.io/workflow_engine/mocks/tasks', [
  'body' => '{
  "name": "string",
  "serviceType": "Application",
  "serviceName": "string",
  "method": "string",
  "finishState": "success"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/workflow_engine/mocks/tasks");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\",\n  \"serviceType\": \"Application\",\n  \"serviceName\": \"string\",\n  \"method\": \"string\",\n  \"finishState\": \"success\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "name": "string",
  "serviceType": "Application",
  "serviceName": "string",
  "method": "string",
  "finishState": "success"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/workflow_engine/mocks/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```